## grendel.storage.mdb
Interface nsIMdbCursor

All Known Subinterfaces:
  nsIMdbTableRowCursor

public abstract interface nsIMdbCursor
extends nsIMdbObject

Method Summary
`int` | `GetCount(nsIMdbEnv ev)`
`boolean` | `GetDoFailOnSeedOutOfSync(nsIMdbEnv ev)`
`int` | `GetPos(nsIMdbEnv ev)`
`int` | `GetSeed(nsIMdbEnv ev)`
`void` | `SetDoFailOnSeedOutOfSync(nsIMdbEnv ev, boolean inFail)`
`void` | `SetPos(nsIMdbEnv ev, int inPos)`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### GetCount

    public int GetCount(nsIMdbEnv ev)

### GetSeed

    public int GetSeed(nsIMdbEnv ev)

### SetPos

    public void SetPos(nsIMdbEnv ev,
                       int inPos)

### GetPos

    public int GetPos(nsIMdbEnv ev)

### SetDoFailOnSeedOutOfSync

    public void SetDoFailOnSeedOutOfSync(nsIMdbEnv ev,
                                         boolean inFail)

### GetDoFailOnSeedOutOfSync

    public boolean GetDoFailOnSeedOutOfSync(nsIMdbEnv ev)